# $Revision: 1.8 $, $Date: 2002/04/22 06:19:19 $
Summary:	libshout - icecast source streaming library
Summary(pl):	Biblioteka rde strumieni icecast
Name:		libshout
Version:	1.0.5
Release:	2
License:	LGPL
Vendor:		Icecast <team@icecast.org>
Group:		Libraries
Source0:	ftp://ftp.icecast.org/pub/libshout/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am_fixes.patch
URL:		http://www.icecast.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libshout is a library for communicating with and sending data to an
icecast server. It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%description -l pl
libshout to biblioteka do komunikowania si z i wysyania danych do
serwera icecast. Obsuguje poczenia, czasy danych i zapobiega
dotarciu wikszoci zych danych do serwera icecast.

%package devel
Summary:	Icecast source streaming library development package
Summary(pl):	Pakiet dla programistw uywajcych libshout
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The libshout-devel package contains the header files needed for
developing applications that send data to an icecast server. Install
libshout-devel if you want to develop applications using libshout.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia aplikacji
wysyajcych dane do serwera icecast.

%package static
Summary:	Icecast source streaming static library
Summary(pl):	Statyczna biblioteka libshout
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Icecast source streaming static library.

%description static -l pl
Statyczna biblioteka libshout - rde strumieni icecast.

%prep
%setup -q
%patch -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS CHANGES README

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,css}
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/shout

%files static
%defattr(644,root,root,755)
 %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libshout.spec,v $
Revision 1.8  2002/04/22 06:19:19  kloczek
- added "rm -f missing" on top %build.

Revision 1.7  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/04 15:31:41  qboosh
- adapterized, pl translations, cosmetics; release 2

Revision 1.2  2001/05/06 13:09:28  kloczek
- completly rewrited in PLD style.

Based on spec by Jeremy Katz <katzj@icecast.org>
